# DELETE /api/v1/app/{appId}

**Delete application**

## Delete Application
Removes this Application from the StackHawk organization.

> ⚠️ Danger
> HawkScan scan results are grouped by application & environment. Deleting an application **also deletes all environments and scan results collected for that application**.
> StackHawk will delete scan results on demand. This action is permanent and cannot be undone.

> 🧾 Audited
> This is recorded as `APPLICATION_REMOVED` [User Activity](https://apidocs.stackhawk.com/reference/listauditactivity#user-activity-types).

> Requires `delete:application` permission.

## Parameters

- `appId` (in: path, string<uuid>) *(required)* — UUID identifier for this StackHawk Application.

## Responses

### 200 — OK

- (no body)

### 400 — Bad Request

- (no body)

### 401 — Unauthorized

- (no body)
